var spaReferrer = '';
var referrer = '';
/**
 * Useful wrapper around document and window objects
 */

export var utils = {
  /**
   * @returns {string} The referrer of the document
   */
  getDocumentReferrer: function getDocumentReferrer() {
    return document.referrer;
  },

  /**
   * @returns {string} The actual location with protocol, domain and pathname
   */
  getActualLocation: function getActualLocation() {
    var _window$location = window.location,
        origin = _window$location.origin,
        pathname = _window$location.pathname;
    return "" + origin + pathname;
  }
};
/**
 * Get the correct page referrer for SPA navigations
 * @returns {string} referrer
 */

export var getPageReferrer = function getPageReferrer(_temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      _ref$isPageTrack = _ref.isPageTrack,
      isPageTrack = _ref$isPageTrack === void 0 ? false : _ref$isPageTrack;

  return isPageTrack ? referrer || utils.getDocumentReferrer() : spaReferrer;
};
/**
 * Update page referrer for SPA navigations
 */

export var updatePageReferrer = function updatePageReferrer() {
  spaReferrer = getPageReferrer({
    isPageTrack: true
  }); // mutate actualReferrer with what will be the new referrer

  referrer = utils.getActualLocation();
};